Parameters (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http, class: Parameters

# Class Parameters

java.lang.Object
org.apache.tomcat.util.http.Parameters

public final class Parameters extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Parameters.FailReason`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParameter(String key, String value)`
  `Charset`
  `getCharset()`
  `String`
  `getParameter(String name)`
  `Enumeration<String>`
  `getParameterNames()`
  `String[]`
  `getParameterValues(String name)`
  `Parameters.FailReason`
  `getParseFailedReason()`
  `void`
  `handleQueryParameters()`
  Process the query string into parameters
  `boolean`
  `isParseFailed()`
  `void`
  `processParameters(byte[] bytes, int start, int len)`
  `void`
  `processParameters(MessageBytes data, Charset charset)`
  `void`
  `recycle()`
  `void`
  `setCharset(Charset charset)`
  `void`
  `setLimit(int limit)`
  `void`
  `setParseFailedReason(Parameters.FailReason failReason)`
  `void`
  `setQuery(MessageBytes queryMB)`
  `void`
  `setQueryStringCharset(Charset queryStringCharset)`
  `void`
  `setURLDecoder(UDecoder u)`
  `int`
  `size()`
  `String`
  `toString()`
  Debug purpose

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameters

    public Parameters()

- ## Method Details

  - ### setQuery

    public void setQuery(MessageBytes queryMB)

  - ### setLimit

    public void setLimit(int limit)

  - ### getCharset

    public Charset getCharset()

  - ### setCharset

    public void setCharset(Charset charset)

  - ### setQueryStringCharset

    public void setQueryStringCharset(Charset queryStringCharset)

  - ### isParseFailed

    public boolean isParseFailed()

  - ### getParseFailedReason

    public Parameters.FailReason getParseFailedReason()

  - ### setParseFailedReason

    public void setParseFailedReason(Parameters.FailReason failReason)

  - ### size

    public int size()

  - ### recycle

    public void recycle()

  - ### getParameterValues

    public String[] getParameterValues(String name)

  - ### getParameterNames

    public Enumeration<String> getParameterNames()

  - ### getParameter

    public String getParameter(String name)

  - ### handleQueryParameters

    public void handleQueryParameters()
    Process the query string into parameters

  - ### addParameter

    public void addParameter(String key, String value) throws IllegalStateException
    Throws:
      `IllegalStateException`

  - ### setURLDecoder

    public void setURLDecoder(UDecoder u)

  - ### processParameters

    public void processParameters(byte[] bytes, int start, int len)

  - ### processParameters

    public void processParameters(MessageBytes data, Charset charset)

  - ### toString

    public String toString()
    Debug purpose
    Overrides:
      `toString` in class `Object`